For the complete documentation index, see llms.txt. This page is also available as Markdown.

Usage batch

Batch Usage Endpoint

post

Endpoint to sync usage.

Args: usage: Dictionary of the usage. Maps workspace ID to a dictionary of features and their usage counts. background_tasks: FastAPI background tasks. auth_context: The authentication context. workspace_manager: The workspace manager.

Raises: IllegalOperationError: If usage is reported for an incorrect workspace.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Body
Responses
200

Successful Response

application/json
anyOptional
post/usage-batch
POST /usage-batch HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "ANY_ADDITIONAL_PROPERTY": {
    "ANY_ADDITIONAL_PROPERTY": 1
  }
}

No content

ZenML Scarf

Last updated

Was this helpful?